MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002692VCMIMechanics - Battlespublic2017-06-10 07:302017-06-14 08:11
Reporter0nedef 
Assigned ToAVS 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformAMD64OSArchlinuxOS Version
Product Version 
Target VersionFixed in Version0.next 
Summary0002692: Finishing battle with a spell causes crash after confirming post-battle summary screen
DescriptionRefer to reproduction steps.
Steps To ReproduceIngham hero stands next to an enemy AI Darkstorn with a single troglodyte in it's army. Kill it with magic missile.
TagsNo tags attached.
Attached Fileszip file icon asdf.zip [^] (751,168 bytes) 2017-06-10 07:30
? file icon valgrind.log.xz [^] (754,804 bytes) 2017-06-10 07:30
log file icon gdb.log [^] (33,046 bytes) 2017-06-10 07:31
txt file icon VCMI_Client_log.txt [^] (131,084 bytes) 2017-06-10 07:31 [Show Content]
txt file icon VCMI_Server_log.txt [^] (113,738 bytes) 2017-06-10 07:31 [Show Content]

- Relationships
has duplicate 0002623resolvedAVS after battle crash 

-  Notes
(0007086)
AVS (administrator)
2017-06-13 13:17

For me this bug is not reproducible, but valgrind log shows race condition and I`ll try to fix it. Not that easy to fix though.
(0007087)
0nedef (reporter)
2017-06-13 17:49
edited on: 2017-06-13 18:02

Can confirm this does *NOT* replicate on Ubuntu daily builds.

Anything else I could provide to narrow down the crash? Could it be due to compiling the engine against particularly new versions of libraries (like Boost or SDL2)?

(0007088)
AVS (administrator)
2017-06-13 22:30

It may depend on Boost version.
(0007089)
AVS (administrator)
2017-06-14 01:54

Please retest after 0af9aa38
(0007090)
0nedef (reporter)
2017-06-14 07:00

Yup, 0af9aa38 seems to have fixed it. It apparently also fixed a problem of earning a catapult artifact from the previous build.

For the record, the Boost version is the latest of the time of writing - 1.64.0.

- Issue History
Date Modified Username Field Change
2017-06-10 07:30 0nedef New Issue
2017-06-10 07:30 0nedef File Added: asdf.zip
2017-06-10 07:30 0nedef File Added: valgrind.log.xz
2017-06-10 07:31 0nedef File Added: gdb.log
2017-06-10 07:31 0nedef File Added: VCMI_Client_log.txt
2017-06-10 07:31 0nedef File Added: VCMI_Server_log.txt
2017-06-13 12:54 AVS Assigned To => AVS
2017-06-13 12:54 AVS Status new => acknowledged
2017-06-13 13:17 AVS Note Added: 0007086
2017-06-13 17:49 0nedef Note Added: 0007087
2017-06-13 18:02 0nedef Note Edited: 0007087 View Revisions
2017-06-13 22:30 AVS Note Added: 0007088
2017-06-14 01:54 AVS Note Added: 0007089
2017-06-14 07:00 0nedef Note Added: 0007090
2017-06-14 07:46 AVS Status acknowledged => resolved
2017-06-14 07:46 AVS Fixed in Version => 0.next
2017-06-14 07:46 AVS Resolution open => fixed
2017-06-14 08:11 AVS Relationship added has duplicate 0002623

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean